import 'package:doctor_app_flutter/models/patient/patiant_info_model.dart';
import 'package:flutter/material.dart';
import 'package:hexcolor/hexcolor.dart';

import '../../../config/size_config.dart';
import '../../shared/profile_image_widget.dart';

/* 
 *@author: Elham Rababah 
 *@Date:21/4/2020  
 *@param: 
 *@return:
 *@desc:   Profile Header Widget class
 */
class ProfileHeaderWidget extends StatelessWidget {
  ProfileHeaderWidget({
    Key key,
    this.patient
  }) : super(key: key);

  PatiantInformtion patient;

  @override
  Widget build(BuildContext context) {
    // PatientsProvider patientsProv = Provider.of<PatientsProvider>(context);
    // patient = patientsProv.getSelectedPatient();
    return Container(
      height: SizeConfig.heightMultiplier * 30,
      child: ProfileImageWidget(
          url:
              "https://hmgwebservices.com/Images/MobileImages/DUBAI/unkown_female.png",
          name: patient.firstName + ' ' + patient.lastName,
          des: patient.patientId.toString(),
          height: SizeConfig.heightMultiplier * 17,
          width: SizeConfig.heightMultiplier * 17,
          color: HexColor('#58434F')),
    );
  }
}
